# DCM/DFA Reporting And Trafficking API . platformTypes

## Instance Methods

Gets one platform type by ID.

Retrieves a list of platform types.

### Method Details

`get(profileId, id)`

    Gets one platform type by ID.

    Args:
      profileId: string, User profile ID associated with this request. (required)
      id: string, Platform type ID. (required)

    Returns:
      An object of the form:

        { # Contains information about a platform type that can be targeted by ads.
        "kind": "dfareporting#platformType", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#platformType".
        "id": "A String", # ID of this platform type.
        "name": "A String", # Name of this platform type.
      }

`list(profileId)`

    Retrieves a list of platform types.

    Args:
      profileId: string, User profile ID associated with this request. (required)

    Returns:
      An object of the form:

        { # Platform Type List Response
        "kind": "dfareporting#platformTypesListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#platformTypesListResponse".
        "platformTypes": [ # Platform type collection.
          { # Contains information about a platform type that can be targeted by ads.
            "kind": "dfareporting#platformType", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#platformType".
            "id": "A String", # ID of this platform type.
            "name": "A String", # Name of this platform type.
          },
        ],
      }